#? contents carFile

folder Car/GT40LM_2
nation us
manufacturer ford
cash 0
money 1124500
lifespan 20000
fuelConsumption 1.3
icon icon.tex
dynamicTexture UVW.tex
textureLayout ( headlight ( left 800, top 0, right 1024, bottom 312 ), taillight ( left 800, top 312, right 1024, bottom 1024 ) )
start conn loc_grid
body
    mesh body_A.nod
    mass 490
    frontLoadRatio 52
    cgHeight 0.21
    aeroCd 0.21
    downforceCd 0.55
    aeroHeight 0.3
    frontalArea 2.07
    rollBias 0.5
    inertia ( x 1900, y 325, z 3000 )
    engineLocation M
    driveType RWD
    rollCenterBack 0.02
    camber ( front -2, back -1 )
brake
    standard
        discMesh ../../Disc/disc01.nod
        heatedDiscMesh ../../Disc/hotPlate.nod
        caliperFLMesh ../../Caliper/caliperFL_04.nod
        caliperFRMesh ../../Caliper/caliperFR_04.nod
        caliperBLMesh ../../Caliper/caliperBL_04.nod
        caliperBRMesh ../../Caliper/caliperBR_04.nod
        torque 5000
        frontBias 40
        eBrake 0
        text $part_standard
headlight
    headlightA00
        mesh lampH_A_base.nod
        litMesh lampH_A_lit.nod
        texture lampH_A00.tex
        text $part_standard
        money 6%
paint
    color1
        diffuse ( r 0, g 0, b 0, a 1 )
        specular ( r 0.574257, g 0.574257, b 0.574257, a 1 )
        shininess 30
        text $black
        money 0.96%
pilot pilot mesh pilot.nod
suspension
    standard
        front ( springCoeff 35000, dampRebound 3200, dampBound 1600, maxDisp 0.12 )
        back ( springCoeff 20000, dampRebound 2700, dampBound 1000, maxDisp 0.15 )
        text $part_standard
taillight
    taillightA00
        mesh lampT_A_base.nod
        litMesh lampT_A_lit.nod
        brakeMesh lampT_A_brake.nod
        texture lampT_A00.tex
        text $part_standard
tire
    standard17
        front
            mesh tireF.nod
            mass 25
            inertia 0.25
            latFriction 1.68
            longFriction 1.9
            aspectRatio 40
            wheelDiameter 17
            orgWheelDiameter 16
            optimumSA 0.12
            optimumSR 0.12
            absSR 0.08
        back
            mesh tireB.nod
            mass 25
            inertia 0.25
            latFriction 1.88
            longFriction 2.1
            aspectRatio 40
            wheelDiameter 17
            orgWheelDiameter 16
            optimumSA 0.1
            optimumSR 0.1
            absSR 0.06
        text $part_tire17
transmission
    standard
        mass 80
        shiftTime 0.6
        differentialRatio 3.09
        gears
            gear ( step 0, ratio -2.52 )
            gear ( step 1, ratio 3.0 )
            gear ( step 2, ratio 2.1 )
            gear ( step 3, ratio 1.47 )
            gear ( step 4, ratio 1.1 )
            gear ( step 5, ratio 0.92 )
        drivelineFric
            rotFriction ( rpm 0, value 0 )
            rotFriction ( rpm 1000, value 1 )
            rotFriction ( rpm 2000, value 2 )
            rotFriction ( rpm 3500, value 5 )
            rotFriction ( rpm 5000, value 10 )
        text $part_standard
defaultParts
    brake standard
    engine GT40
    headlight headlightA00
    rim gt40
    suspension standard
    taillight taillightA00
    tire standard17
    transmission standard
    horn horn01
    roomMirror roomMirror01
    dashboard dashboard04
    pilot pilot
    paint color1
    driveshaft semi
    antiRollBar semi
    clutch standard
globalParts
    clutch standard
    antiRollBar standard
    driveshaft ( sports, level1, level2, level3 )
    inchUp ( inchDown1, inchUp1, inchUp2 )
