# $Id: surface.g 13009 2008-02-05 08:33:06Z mrhwang $
# Copyright (c) 2005 XLGames, Inc. All rights reserved.
#
# Surfaces
#? contents surfaceFile

#
# Notes about the fields
#
# resistive: 저항력
#    [0.0 ~ ]
#    1.0 일 경우 1G의 저항력이 차량 이동방향의 반대방향으로 생겨남
#
# resistiveVel: 저항력의 최소 속도 (m/s)
#    [0.0 ~ ]
#    저항력이 완전히 발휘하게 되는 최소 속도
#    이 속도보다 낮은 속도에서는 속도에 비례해서 저항력이 낮아짐
#    예). resistive 1.0 , resistiveVel 10 에서 5m/s 으로 진행 중인 차량에는 0.5G 의 저항력이 생김
#    참고). 10m/s 는 약 36km/h
#
# friciton: 접지력
#    [0.0 ~ ]
#    타이어의 마찰계수에 곱해짐
#
# bumpHeight : 범프 높이
#    [0.0 ~ ]
#    지면 범프(노면굴곡)의 최대 높이
#    범프 곡선은 하드코딩된 랜덤수치 (같은 좌표에서 항상 같은 범프 높이를 가짐)
#
# bumpWidth : 범프 너비
#    [0.0 ~ ]
#    지면 범프의 너비
#    너비가 넓을 수록 범프를 느끼기 어려움.
#    너비가 넓을 수록 범프의 조밀도가 떨어짐.
unknown
    resistive 0
    resistiveVel 0
    friction 1
    bumpHeight 0
    bumpWidth 0
    resistiveConst 0
    resistiveLin 0
    resistiveQuad 0
    tractive 0
    frictive 0
    bumpy 0
    malignant 0
road
    resistive 0
    resistiveVel 0
    friction 1.3
    bumpHeight 0.02
    bumpWidth 75
    resistiveConst 0
    resistiveLin 0
    resistiveQuad 0
    tractive 0
    frictive 0
    bumpy 0
    malignant 0
concrete
    resistive 0.03
    resistiveVel 0
    friction 1.07
    bumpHeight 0.04
    bumpWidth 35
    resistiveConst 0
    resistiveLin 0
    resistiveQuad 0
    tractive 0
    frictive 0
    bumpy 0
    malignant 0
sand
    resistive 0.5
    resistiveVel 10
    friction 0.7
    bumpHeight 0.13
    bumpWidth 45
    resistiveConst 0
    resistiveLin 0
    resistiveQuad 0
    tractive 0
    frictive 0
    bumpy 0
    malignant 0
grass
    resistive 0.3
    resistiveVel 40
    friction 0.7
    bumpHeight 0.11
    bumpWidth 60
    resistiveConst 0
    resistiveLin 0
    resistiveQuad 0
    tractive 0
    frictive 0
    bumpy 0
    malignant 0
snow
    resistive 0.5
    resistiveVel 5
    friction 0.5
    bumpHeight 0.08
    bumpWidth 55
    resistiveConst 0
    resistiveLin 0
    resistiveQuad 0
    tractive 0
    frictive 0
    bumpy 0
    malignant 0
dirt
    resistive 0.07
    resistiveVel 30
    friction 0.94
    bumpHeight 0.07
    bumpWidth 12
    resistiveConst 0
    resistiveLin 0
    resistiveQuad 0
    tractive 0
    frictive 0
    bumpy 0
    malignant 0
mud
    resistive 0.2
    resistiveVel 15
    friction 0.6
    bumpHeight 0.14
    bumpWidth 20
    resistiveConst 0
    resistiveLin 0
    resistiveQuad 0
    tractive 0
    frictive 0
    bumpy 0
    malignant 0
gravel
    resistive 0.07
    resistiveVel 30
    friction 1.04
    bumpHeight 0.07
    bumpWidth 8
    resistiveConst 0
    resistiveLin 0
    resistiveQuad 0
    tractive 0
    frictive 0
    bumpy 0
    malignant 0
ice
    resistive 0
    resistiveVel 0
    friction 0.3
    bumpHeight 0.0
    bumpWidth 0
    resistiveConst 0
    resistiveLin 0
    resistiveQuad 0
    tractive 0
    frictive 0
    bumpy 0
    malignant 0
water
    resistive 1.7
    resistiveVel 0
    friction 1
    bumpHeight 0.05
    bumpWidth 125
    resistiveConst 0
    resistiveLin 0
    resistiveQuad 0
    tractive 0
    frictive 0
    bumpy 0
    malignant 0
wet
    resistive 0.03
    resistiveVel 0
    friction 0.6
    bumpHeight 0.01
    bumpWidth 100
    resistiveConst 0
    resistiveLin 0
    resistiveQuad 0
    tractive 0
    frictive 0
    bumpy 0
    malignant 0
